package com.muyu.remote.feign.Factory;

import com.muyu.common.core.domain.Result;
import com.muyu.etl.domain.DataValue;
import com.muyu.remote.feign.DatasourceFeign;
import com.muyu.remote.feign.RuleFeign;
import com.muyu.rule.common.domain.RuleEngineVersion;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Log4j2
@Component
public class RuleFactory implements FallbackFactory<RuleFeign> {

    @Override
    public RuleFeign create(Throwable cause) {
        return new RuleFeign() {
            @Override
            public Result<RuleEngineVersion> findVersionById(Long id) {
                log.info(cause);
                return Result.error("网络开小差......");
            }

            @Override
            public Result testEngine(String className, DataValue dataValue) {
                log.info(cause);
                return Result.error("网络开小差......");
            }
        };
    }
}
