package com.muyu.remote.feign;

import com.muyu.common.core.domain.Result;

import com.muyu.etl.domain.DataValue;
import com.muyu.remote.feign.Factory.RuleFactory;
import com.muyu.rule.common.domain.RuleEngineVersion;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "cloud-etl-rule",fallbackFactory= RuleFactory.class)
public interface RuleFeign {
    @PostMapping("/version/findVersionById/{id}")
    public Result<RuleEngineVersion> findVersionById(@PathVariable("id") Long id);
    @PostMapping("/version/testEngine/{className}")
    public Result testEngine(@PathVariable("className") String className,@RequestBody DataValue dataValue);
}
